Subject: [PATCH V6 00/13] Support for generic ACPI based PCI host controller

From: [email-masked] (Tomasz Nowicki)
Date: Mon, 18 Apr 2016 17:26:01 +0200

On 18.04.2016 16:38, Arnd Bergmann wrote:
> On Monday 18 April 2016 15:33:24 Tomasz Nowicki wrote:
>>
>> Of course we can split discussion into the two topics:
>> 1. ECAM based ACPI host controller - patches [1-10]
>> 2. Quirks handling and examples.
>>
>> IMO, it is very helpful for reviewers to go with one unified patch set
>> and see the whole picture. Also, as you can see, quirks handling allows
>> people to test it easily with their servers (not only QEMU but real HW).
>
> I think splitting the two would help tremendously. The regular
> PCI support should just get merged (it should have been completed
> years ago when ACPI for ARM64 was first implemented), while the quirks
> handling contains all ugly nonstandard hacks we have to be careful
> about.
>

OK, so for those who want to review just "ECAM based ACPI host 
controller" lets consider only patches [1-10]. Patches 11-13 are well 
isolated and do not affect previous one. Is that ok for this series?

Thanks,
Tomasz